#include <bits/stdc++.h>
#include <algorithm>

using namespace std;

int main()
{
    char A[20];
    char B[20];
    char C[20];
    char x[20];
    char y[20];
    char z[20];
    long long a,b,c;
    cin >> a >> b >> c;
    char broj[6][60];
    int ia,ib,ic,ix,iy,iz;
    for(ia=0;;ia++)
    {
        A[ia]=a%10+'0';
        a=a/10;
        if(a==0)
                break;
    }
    for(ib=0;;ib++)
    {
        B[ib]=b%10+'0';
        b=b/10;
        if(b==0)
                break;
    }
    for(ic=0;;ic++)
    {
        C[ic]=c%10+'0';
        c=c/10;
        if(c==0)
                break;
    }
        for(ix=0;ix<=ia;ix++)
    {
        x[ix]=A[ia-ix];
    }
        for(iy=0;iy<=ib;iy++)
    {
        y[iy]=B[ib-iy];
    }
        for(iz=0;iz<=ic;iz++)
    {
        z[iz]=C[ic-iz];
    }
    x[ix+1]='\0';
    y[iy+1]='\0';
    z[iz+1]='\0';

    strcpy(broj[0],x);
    strcat(broj[0],y);
    strcat(broj[0],z);

    strcpy(broj[1],x);
    strcat(broj[1],z);
    strcat(broj[1],y);

    strcpy(broj[2],y);
    strcat(broj[2],x);
    strcat(broj[2],z);

    strcpy(broj[3],y);
    strcat(broj[3],z);
    strcat(broj[3],x);

    strcpy(broj[4],z);
    strcat(broj[4],x);
    strcat(broj[4],y);

    strcpy(broj[5],z);
    strcat(broj[5],y);
    strcat(broj[5],x);

    int maxx=0;
    for(int k=1;k<6;k++)
    {
        if(strcmp(broj[maxx],broj[k])<0)
        {
            maxx=k;
        }
    }
    cout <<x << endl << y << endl << z << endl;
    cout << broj[maxx];
    return 0;
}